import React from "react";
import { ListRenderItem, SectionListData, SectionListProps, StyleProp, TextStyle, ViewStyle } from "react-native";
interface SectionListDataType {
    key: string;
    title: string;
    data: Array<any>;
}
interface SectionListSidebarProps extends SectionListProps<any, any> {
    containerStyle?: StyleProp<ViewStyle>;
    rtl?: boolean;
    locale?: "kor" | "en";
    renderSectionHeader?: ((info: {
        section: SectionListData<any, any>;
    }) => React.ReactElement | null) | undefined;
    data: SectionListDataType[];
    sectionHeaderTextStyle?: StyleProp<TextStyle>;
    sectionHeaderStyle?: StyleProp<ViewStyle>;
    itemHeight?: number;
    sectionHeaderHeight?: number;
    footerHeaderHeight?: number;
    separatorHeight?: number;
    listHeaderHeight?: number;
    renderSidebarItem?: ListRenderItem<string>;
    sidebarContainerStyle?: StyleProp<ViewStyle>;
    sidebarItemStyle?: StyleProp<ViewStyle>;
    sidebarItemTextStyle?: StyleProp<TextStyle>;
    selectedText?: string;
    isSelectedShow?: boolean;
    maxSidebarText?: number;
    sidebarItemHeight?: number;
}
declare const _default: React.MemoExoticComponent<React.ForwardRefExoticComponent<SectionListSidebarProps & React.RefAttributes<any>>>;
export default _default;
//# sourceMappingURL=SectionListSidebar.d.ts.map